/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/encryption/ByteArrayCipher.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.encryption;

/**
 * Interface for encryption classes which can encrypt an array of bytes
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public interface ByteArrayCipher {
    /**
     * Encrypt  an array of bytes
     * @param input plaintext
     * @return encrypted output
     */
    byte[] encrypt(byte[] input);

    /**
     * Decrypt an array of bytes
     * @param input encrypted input 
     * @return plaintext output
     */
    byte[] decrypt(byte[] input);

}