/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/bootstrap/com/netapp/common/logging/Bundle.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.logging;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Define the localized message file a {@link MessageKey} implementation was generated from.
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE})
public @interface Bundle {
    /** 
     * The file this message enumeration was generated from. The localization framework 
     * will use this in order to locate the appropriate messages during runtime.
     */
    String value();
}
