/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/platform/windows/cimv2/Win32ComputerSystemProduct.java#1 $
 *
 * Copyright (c) 2009 NetApp, Inc.
 * All rights reserved. 
 */
package com.netapp.common.platform.windows.cimv2;

import com.netapp.common.platform.windows.WMIElement;
import com.netapp.common.platform.windows.WbemObject;

/**
 * WMI Proxy object representing tye Win32_ComputerSystemProduct class.
 * 
 * @author josh
 *
 */
public interface Win32ComputerSystemProduct extends WbemObject {
    @WMIElement("Caption")
    String getCaption();
    
    @WMIElement("Description")
    String getDescription();
    
    @WMIElement("IdentifyingNumber")
    String getIdentifyingNumber();
    
    @WMIElement("Name")
    String getName();
    
    @WMIElement("SKUNumber")
    String getSkuNumber();
    
    @WMIElement("UUID")
    String getUuid();
    
    @WMIElement("Vendor")
    String getVendor();
    
    @WMIElement("Version")
    String getVersion();
}
