/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/util/Wrapper.java#1 $
 * 
 * Copyright (c) 2008 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.util;

/**
 * @author sirianni
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public class Wrapper<T> {

    private T wrapped;
    
    public Wrapper() {
    }
    
    public Wrapper(T wrapped) {
        this.wrapped = wrapped;
    }
    
    /**
     * @return Returns the wrapped object.
     */
    public T getWrapped() {
        return this.wrapped;
    }

    /**
     * @param wrapped The wrapped object to set.
     */
    public void setWrapped(T wrapped) {
        this.wrapped = wrapped;
    }
}
