/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/zapi/generator/CategoryGenerator.java#1 $
 * 
 * Copyright (c) 2009 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.zapi.generator;

import com.netapp.common.zapi.parser.Category;

public abstract class CategoryGenerator extends NameGenerator<Category> {
    
    public CategoryGenerator(GeneratorFactory<?, ?, ?, ?> generatorFactory, Category category) {
        super(generatorFactory, category);
    }
    
    public String getSynopsisGenerated() {
        return getGeneratorFactory().getDescriptionGenerator().transform(getTarget().getSynopsis());
    }
    
    public String getDiscussionGenerated() {
        return getGeneratorFactory().getDescriptionGenerator().transform(getTarget().getDiscussion());
    }

}
