/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/cli/binding/FieldBinding.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.cli.binding;

import java.lang.reflect.Method;

import org.apache.commons.cli2.CommandLine;

import com.netapp.common.cli.validator.ValidationException;

public class FieldBinding {

    ObjectBinding objectBinding;
    Method fieldSetter;
    
    public FieldBinding(Method fieldSetter, ObjectBinding objectBinding) {
        this.fieldSetter = fieldSetter;
        this.objectBinding = objectBinding;
    }
    
    public Method getFieldSetter() {
        return this.fieldSetter;
    }
    
    public Object hydrate(CommandLine commandLine) throws ValidationException {
        return this.objectBinding.hydrate(commandLine);
    }
    
    public ObjectBinding getObjectBinding() {
        return this.objectBinding;
    }
    
    @Override
    public String toString() {
        return this.fieldSetter.getName() + "<-" + this.objectBinding.toString();
    }

}
