/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/execution/ProcessContext.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.execution;

import org.apache.commons.lang.time.StopWatch;

public class ProcessContext {
    
    private StopWatch timer;
    private Process process;
    private ShellRunnable shellCommand;

    public ProcessContext(ShellRunnable shellCommand, Process process, StopWatch timer) {
        this.shellCommand = shellCommand;
        this.process = process;
        this.timer = timer;
    }
    
    public Process getProcess() {
        return this.process;
    }
    
    public ShellRunnable getShellCommand() {
        return this.shellCommand;
    }
    
    public StopWatch getTimer() {
        return this.timer;
    }
}
