/*
 * $Id$
 * 
 * Copyright (c) 2008 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.execution;


/**
 * @author claird
 * @version $Revision: #2 $ $Date: Jul 2, 2008 $
 */
class UnixShellCommandTransformer extends ShellCommandTransformer {

    UnixShellCommandTransformer() {
        super();
    }

    UnixShellCommandTransformer(ShellCommandTransformer shellCommandTransformer) {
        super(shellCommandTransformer);
    }

    /**
     * @see com.netapp.common.execution.ShellCommandTransformer#performTransformation(com.netapp.common.execution.ShellRunnable)
     */
    @Override
    protected ShellRunnable performTransformation(ShellRunnable shellCommand) {
        return new StackedShellCommand(shellCommand.transformInto(
            "/bin/sh", "-c", createQuotedCommandString(shellCommand)), 
                shellCommand);
    }
}
