/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/flow/api/OperationState.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.flow.api;

import javax.xml.bind.annotation.XmlType;

/**
 * Enumeration representing the posible states of an operation.
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
@XmlType(name = "operationState", namespace = "http://www.netapp.com/smai/Operation")
public enum OperationState {
    /** Operation is not running */
    PAUSED,
    /** Operation is currently running */
    RUNNING,
    /** Operation completed successfully */
    COMPLETE,
    /** Operation failed due to being canceled or an exception while executing*/
    FAILED,
    /** Operation failed incomplete due to an exception while attempting to transition to {@link #FAILED} */
    INCOMPLETE,
    /** Operation does not exist */
    INVALID_ID;
}
