/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/logging/NAConsoleAppender.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc. 
 * All rights reserved.
 */
package com.netapp.common.logging;

import org.apache.log4j.ConsoleAppender;
import org.apache.log4j.spi.LoggingEvent;

/**
 * Logs to the console as in {@link ConsoleAppender}, but does not log stack traces
 * 
 * @author rsugasi
 */
public class NAConsoleAppender extends ConsoleAppender {

    public void subAppend(LoggingEvent event) {
        this.qw.write(this.layout.format(event));

        if (this.immediateFlush) {
            this.qw.flush();
        }
    }

}
